uab.classes.ManaEffect = uab.mixins.aceOO.Class(uab.interfaces.IUnitEffect)

function uab.classes.ManaEffect.prototype:init()
	uab.classes.ManaEffect.super.prototype.init(self)
end

function uab.classes.ManaEffect.prototype:GetName()
	return "lowmana"
end

function uab.classes.ManaEffect.prototype:GetDisplayName()
	return "Low Mana"
end

function uab.classes.ManaEffect.prototype:GetDefaultHighlightColor()
	return { r = 0,    g = 1,    b = 1, a = 1, }
end

function uab.classes.ManaEffect.prototype:IsActive(action, button, unit)
    local curmana = UnitMana(unit)
    local maxmana = UnitManaMax(unit)
    
    return curmana and maxmana and curmana < (maxmana * 0.3)
end

uab:RegisterUnitEffect(uab.classes.ManaEffect)
